Bug 850299 - Introduce new systemd-rpm macros in rpld spec file
Introduce new systemd-rpm macros in rpld spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpld (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:04 EDT by Lukáš Nykrýn
Modified: 2013-09-22 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: rpld-1.8-0.18.beta1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:04:42 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2013-09-08 07:56:55 EDT
rpld-1.8-0.18.beta1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpld-1.8-0.18.beta1.fc19
Comment 2 Fedora Update System 2013-09-08 07:57:05 EDT
rpld-1.8-0.18.beta1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpld-1.8-0.18.beta1.fc20
Comment 3 Fedora Update System 2013-09-08 07:57:13 EDT
rpld-1.8-0.18.beta1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpld-1.8-0.18.beta1.fc18
Comment 4 Fedora Update System 2013-09-08 12:26:08 EDT
Package rpld-1.8-0.18.beta1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpld-1.8-0.18.beta1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16103/rpld-1.8-0.18.beta1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-16 20:31:34 EDT
rpld-1.8-0.18.beta1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-18 09:04:04 EDT
rpld-1.8-0.18.beta1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-22 20:22:16 EDT
rpld-1.8-0.18.beta1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.